# Record TCefV8Exception

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefV8Exception = record`

## Description

Structure representing a V8 exception. The functions of this structure may be called on any render process thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefV8Exception.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_exception_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_message: function(self: PCefV8Exception): PCefStringUserFree; stdcall;`
| `get_source_line: function(self: PCefV8Exception): PCefStringUserFree; stdcall;`
| `get_script_resource_name: function(self: PCefV8Exception): PCefStringUserFree; stdcall;`
| `get_line_number: function(self: PCefV8Exception): Integer; stdcall;`
| `get_start_position: function(self: PCefV8Exception): Integer; stdcall;`
| `get_end_position: function(self: PCefV8Exception): Integer; stdcall;`
| `get_start_column: function(self: PCefV8Exception): Integer; stdcall;`
| `get_end_column: function(self: PCefV8Exception): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_message: function(self: PCefV8Exception): PCefStringUserFree; stdcall;`
This item has no description.

| `get_source_line: function(self: PCefV8Exception): PCefStringUserFree; stdcall;`
This item has no description.

| `get_script_resource_name: function(self: PCefV8Exception): PCefStringUserFree; stdcall;`
This item has no description.

| `get_line_number: function(self: PCefV8Exception): Integer; stdcall;`
This item has no description.

| `get_start_position: function(self: PCefV8Exception): Integer; stdcall;`
This item has no description.

| `get_end_position: function(self: PCefV8Exception): Integer; stdcall;`
This item has no description.

| `get_start_column: function(self: PCefV8Exception): Integer; stdcall;`
This item has no description.

| `get_end_column: function(self: PCefV8Exception): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.